AuthMaskingProperties (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class AuthMaskingProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<java.lang.Object,java.lang.Object>
    - - java.util.Properties
      - - com.mchange.v2.c3p0.impl.AuthMaskingProperties

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

      public class AuthMaskingProperties
      extends java.util.Properties

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthMaskingProperties()`
    `AuthMaskingProperties(java.util.Properties p)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthMaskingProperties` | `fromAnyProperties(java.util.Properties p)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.Properties

      `getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthMaskingProperties

          public AuthMaskingProperties()

    - #### AuthMaskingProperties

          public AuthMaskingProperties(java.util.Properties p)

  - ### Method Detail

    - #### fromAnyProperties

          public static AuthMaskingProperties fromAnyProperties(java.util.Properties p)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`